Deliveries
Update matching deliveries
A filter is required.
PATCH
/
delivery
/
bulk
Update matching deliveries
curl --request PATCH \
--url https://{instance}/api/v2/delivery/bulk \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"identifier": "<string>",
"fromKind": "<string>",
"fromLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromVendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromAddress": "<string>",
"toKind": "<string>",
"toLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toAddress": "<string>",
"actualStartAt": "2023-11-07T05:31:56Z",
"actualEndAt": "2023-11-07T05:31:56Z",
"poNumber": "<string>",
"expectedDate": "2023-11-07T05:31:56Z",
"truckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"truck": "<string>",
"trailerType": "<string>",
"isOverDimension": true,
"receiverContactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"driverContactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confirmationTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {}
}
'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
identifier: '<string>',
fromKind: '<string>',
fromLocationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
fromVendorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
fromAddress: '<string>',
toKind: '<string>',
toLocationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
toAddress: '<string>',
actualStartAt: '2023-11-07T05:31:56Z',
actualEndAt: '2023-11-07T05:31:56Z',
poNumber: '<string>',
expectedDate: '2023-11-07T05:31:56Z',
truckId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
truck: '<string>',
trailerType: '<string>',
isOverDimension: true,
receiverContactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
driverContactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
confirmationTemplateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
data: {}
})
};
fetch('https://{instance}/api/v2/delivery/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{instance}/api/v2/delivery/bulk"
payload = {
"name": "<string>",
"identifier": "<string>",
"fromKind": "<string>",
"fromLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromVendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromAddress": "<string>",
"toKind": "<string>",
"toLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toAddress": "<string>",
"actualStartAt": "2023-11-07T05:31:56Z",
"actualEndAt": "2023-11-07T05:31:56Z",
"poNumber": "<string>",
"expectedDate": "2023-11-07T05:31:56Z",
"truckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"truck": "<string>",
"trailerType": "<string>",
"isOverDimension": True,
"receiverContactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"driverContactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confirmationTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isArchived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"identifier": "<string>",
"direction": "inbound",
"status": "expected",
"fromKind": "<string>",
"fromLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromVendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromAddress": "<string>",
"toKind": "<string>",
"toLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toAddress": "<string>",
"plannedStartAt": "2023-11-07T05:31:56Z",
"plannedEndAt": "2023-11-07T05:31:56Z",
"cargoItemCount": 123,
"cargoDeliveredCount": 123,
"actualStartAt": "2023-11-07T05:31:56Z",
"actualEndAt": "2023-11-07T05:31:56Z",
"poNumber": "<string>",
"expectedDate": "2023-11-07T05:31:56Z",
"truckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"truck": "<string>",
"truckName": "<string>",
"trailerType": "<string>",
"isOverDimension": true,
"carrierKind": "own",
"receiverContactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"driverContactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publicToken": "<string>",
"deliverableGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confirmationTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {},
"isLate": true
}
]
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"missingPermissions": [
"<string>"
]
},
"context": {}
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"missingPermissions": [
"<string>"
]
},
"context": {}
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"missingPermissions": [
"<string>"
]
},
"context": {}
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"missingPermissions": [
"<string>"
]
},
"context": {}
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"missingPermissions": [
"<string>"
]
},
"context": {}
}Authorizations
Organization-scoped API key. Create one in the BuildingSwell app under Organization settings, API keys.
Query Parameters
Full-text search across the resource's search columns. Append :col1,col2 to limit which columns are searched.
AND/OR filter expression, for example type eq 'phase' and isArchived eq false. Simple equality can also be passed as plain field parameters.
Body
application/json
Available options:
own, third_party Response
Successful response.
Show child attributes
Show child attributes
⌘I
Update matching deliveries
curl --request PATCH \
--url https://{instance}/api/v2/delivery/bulk \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"identifier": "<string>",
"fromKind": "<string>",
"fromLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromVendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromAddress": "<string>",
"toKind": "<string>",
"toLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toAddress": "<string>",
"actualStartAt": "2023-11-07T05:31:56Z",
"actualEndAt": "2023-11-07T05:31:56Z",
"poNumber": "<string>",
"expectedDate": "2023-11-07T05:31:56Z",
"truckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"truck": "<string>",
"trailerType": "<string>",
"isOverDimension": true,
"receiverContactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"driverContactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confirmationTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {}
}
'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
identifier: '<string>',
fromKind: '<string>',
fromLocationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
fromVendorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
fromAddress: '<string>',
toKind: '<string>',
toLocationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
toAddress: '<string>',
actualStartAt: '2023-11-07T05:31:56Z',
actualEndAt: '2023-11-07T05:31:56Z',
poNumber: '<string>',
expectedDate: '2023-11-07T05:31:56Z',
truckId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
truck: '<string>',
trailerType: '<string>',
isOverDimension: true,
receiverContactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
driverContactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
confirmationTemplateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
data: {}
})
};
fetch('https://{instance}/api/v2/delivery/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{instance}/api/v2/delivery/bulk"
payload = {
"name": "<string>",
"identifier": "<string>",
"fromKind": "<string>",
"fromLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromVendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromAddress": "<string>",
"toKind": "<string>",
"toLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toAddress": "<string>",
"actualStartAt": "2023-11-07T05:31:56Z",
"actualEndAt": "2023-11-07T05:31:56Z",
"poNumber": "<string>",
"expectedDate": "2023-11-07T05:31:56Z",
"truckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"truck": "<string>",
"trailerType": "<string>",
"isOverDimension": True,
"receiverContactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"driverContactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confirmationTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isArchived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"identifier": "<string>",
"direction": "inbound",
"status": "expected",
"fromKind": "<string>",
"fromLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromVendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromAddress": "<string>",
"toKind": "<string>",
"toLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toAddress": "<string>",
"plannedStartAt": "2023-11-07T05:31:56Z",
"plannedEndAt": "2023-11-07T05:31:56Z",
"cargoItemCount": 123,
"cargoDeliveredCount": 123,
"actualStartAt": "2023-11-07T05:31:56Z",
"actualEndAt": "2023-11-07T05:31:56Z",
"poNumber": "<string>",
"expectedDate": "2023-11-07T05:31:56Z",
"truckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"truck": "<string>",
"truckName": "<string>",
"trailerType": "<string>",
"isOverDimension": true,
"carrierKind": "own",
"receiverContactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"driverContactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publicToken": "<string>",
"deliverableGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confirmationTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {},
"isLate": true
}
]
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"missingPermissions": [
"<string>"
]
},
"context": {}
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"missingPermissions": [
"<string>"
]
},
"context": {}
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"missingPermissions": [
"<string>"
]
},
"context": {}
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"missingPermissions": [
"<string>"
]
},
"context": {}
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"missingPermissions": [
"<string>"
]
},
"context": {}
}